Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 684522 - media-libs/gegl-0.3.34 stabilization for compatibility with ffmpeg-4
Summary: media-libs/gegl-0.3.34 stabilization for compatibility with ffmpeg-4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Sebastian Pipping
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 681082
Blocks: 682558
  Show dependency tree
 
Reported: 2019-04-27 18:47 UTC by Timo Ollech
Modified: 2019-07-28 13:52 UTC (History)
2 users (show)

See Also:
Package list:
media-libs/gegl-0.3.34
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timo Ollech 2019-04-27 18:47:13 UTC
Bug 654172 returned from the crypt because of gimp-2.10.8-r1 being stabilized (bug 681082). Gimp in turn depends on media-libs/libmypaint which in turn needs media-libs/gegl-0.3. The latest stable version of gegl-0.3 is gegl-0.3.26 which still has said bug 654172. So please stabilize the fixed version media-libs/gegl-0.3.34.
Comment 1 Pacho Ramos gentoo-dev 2019-04-27 18:50:19 UTC
Thanks for the research!
Comment 2 Stabilization helper bot gentoo-dev 2019-04-27 19:02:39 UTC
An automated check of this bug failed - repoman reported dependency errors (133 lines truncated): 

> dependency.bad media-libs/gegl/gegl-0.3.34.ebuild: DEPEND: alpha(default/linux/alpha/17.0) ['>=media-libs/babl-0.1.46']
> dependency.bad media-libs/gegl/gegl-0.3.34.ebuild: RDEPEND: alpha(default/linux/alpha/17.0) ['>=media-libs/babl-0.1.46']
> dependency.bad media-libs/gegl/gegl-0.3.34.ebuild: DEPEND: alpha(default/linux/alpha/17.0/desktop) ['>=media-libs/babl-0.1.46']
Comment 3 Larry the Git Cow gentoo-dev 2019-05-08 14:38:02 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ad0ede7a22061390f195688b51e28ebe927fd862

commit ad0ede7a22061390f195688b51e28ebe927fd862
Author:     Tobias Klausmann <klausman@gentoo.org>
AuthorDate: 2019-05-08 14:37:33 +0000
Commit:     Tobias Klausmann <klausman@gentoo.org>
CommitDate: 2019-05-08 14:37:43 +0000

    media-libs/gegl-0.3.34-r0: alpha stable
    
    Bug: http://bugs.gentoo.org/684522
    Signed-off-by: Tobias Klausmann <klausman@gentoo.org>

 media-libs/gegl/gegl-0.3.34.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 4 Thomas Deutschmann gentoo-dev Security 2019-05-19 13:17:08 UTC
x86 stable
Comment 5 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-05-20 11:42:12 UTC
amd64 stable
Comment 6 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-05-21 03:20:35 UTC
Why does this depend on the gimp stable bug, but the gimp stable bug relies on a newer gegl which is in the package list of the bug?
Comment 7 Stabilization helper bot gentoo-dev 2019-05-21 04:01:09 UTC
An automated check of this bug failed - repoman reported dependency errors (17 lines truncated): 

> dependency.bad media-libs/gegl/gegl-0.3.34.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/17.0) ['>=media-libs/babl-0.1.46']
> dependency.bad media-libs/gegl/gegl-0.3.34.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/17.0) ['>=media-libs/babl-0.1.46']
> dependency.bad media-libs/gegl/gegl-0.3.34.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/17.0/desktop) ['>=media-libs/babl-0.1.46']
Comment 8 Pacho Ramos gentoo-dev 2019-05-30 11:49:58 UTC
this is for 0.3 slot
Comment 9 Agostino Sarubbo gentoo-dev 2019-06-04 13:30:45 UTC
ppc64 stable
Comment 10 Agostino Sarubbo gentoo-dev 2019-06-05 07:30:25 UTC
ia64 stable
Comment 11 Agostino Sarubbo gentoo-dev 2019-06-06 06:59:06 UTC
ppc stable
Comment 12 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-07-28 13:52:38 UTC
arm stable